Skip to content
Permalink
Browse files

egl: Don't force X11 support when testing for EGL.

Fixes building Wayland support on embedded systems without X11.

(TODO: maybe move the EGL test out of the X11 tests at some point, too.)
  • Loading branch information
icculus committed Dec 5, 2018
1 parent 1689e9f commit 2878d4f80caa150fefcce2d64052f91cc9ecd8b5
Showing with 3 additions and 1 deletion.
  1. +1 −0 configure
  2. +1 −0 configure.in
  3. +1 −1 src/video/wayland/SDL_waylandvideo.h

#define LINUX
#define EGL_API_FB
#define MESA_EGL_NO_X11_HEADERS
#include <EGL/egl.h>
#include <EGL/eglext.h>

@@ -2340,6 +2340,7 @@ CheckOpenGLESX11()
AC_TRY_COMPILE([
#define LINUX
#define EGL_API_FB
#define MESA_EGL_NO_X11_HEADERS
#include <EGL/egl.h>
#include <EGL/eglext.h>
],[
@@ -33,7 +33,7 @@
!!! FIXME: in Ubuntu 18.04 (and other distros).
*/


#define MESA_EGL_NO_X11_HEADERS
#include <EGL/egl.h>
#include "wayland-util.h"

0 comments on commit 2878d4f

Please sign in to comment.